<?php
$lang_attr = get_bloginfo('language');
//error_reporting(0);
?>
<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
<head>
	<base href="<?php $url_info = parse_url( home_url() ); echo trailingslashit( $url_info['path'] ); ?>">
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<title>
			<?php
				global $page, $paged;
				wp_title( '|', true, 'right' );
					bloginfo( 'name' );
					$site_description = get_bloginfo( 'description', 'display' );
					if ( $site_description && ( is_home() || is_front_page() ) )
						echo " | $site_description";
					if ( $paged >= 2 || $page >= 2 )
						echo ' | ' . sprintf( __( 'Page %s' ), max( $paged, $page ) );
				?>
	</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="apple-touch-icon" sizes="57x57" href="<?php echo bloginfo('template_directory'); ?>/assets/img/icon/apple-icon-57x57.png">
	<link rel="apple-touch-icon" sizes="60x60" href="<?php echo bloginfo('template_directory'); ?>/assets/img/icon/apple-icon-60x60.png">
	<link rel="apple-touch-icon" sizes="72x72" href="<?php echo bloginfo('template_directory'); ?>/assets/img/icon/apple-icon-72x72.png">
	<link rel="apple-touch-icon" sizes="76x76" href="<?php echo bloginfo('template_directory'); ?>/assets/img/icon/apple-icon-76x76.png">
	<link rel="apple-touch-icon" sizes="114x114" href="<?php echo bloginfo('template_directory'); ?>/assets/img/icon/apple-icon-114x114.png">
	<link rel="apple-touch-icon" sizes="120x120" href="<?php echo bloginfo('template_directory'); ?>/assets/img/icon/apple-icon-120x120.png">
	<link rel="apple-touch-icon" sizes="144x144" href="<?php echo bloginfo('template_directory'); ?>/assets/img/icon/apple-icon-144x144.png">
	<link rel="apple-touch-icon" sizes="152x152" href="<?php echo bloginfo('template_directory'); ?>/assets/img/icon/apple-icon-152x152.png">
	<link rel="apple-touch-icon" sizes="180x180" href="<?php echo bloginfo('template_directory'); ?>/assets/img/icon/apple-icon-180x180.png">
	<link rel="icon" type="image/png" sizes="192x192"  href="<?php echo bloginfo('template_directory'); ?>/assets/img/icon/android-icon-192x192.png">
	<link rel="icon" type="image/png" sizes="32x32" href="<?php echo bloginfo('template_directory'); ?>/assets/img/icon/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="96x96" href="<?php echo bloginfo('template_directory'); ?>/assets/img/icon/favicon-96x96.png">
	<link rel="icon" type="image/png" sizes="16x16" href="<?php echo bloginfo('template_directory'); ?>/assets/img/icon/favicon-16x16.png">
	<link rel="manifest" href="<?php echo bloginfo('template_directory'); ?>/assets/img/icon/manifest.json">
	<link rel="shortcut icon" type="image/x-icon" href="<?php echo bloginfo('template_directory'); ?>/favicon.ico">
	<meta name="msapplication-TileColor" content="#ffffff">
	<meta name="msapplication-TileImage" content="<?php echo bloginfo('template_directory'); ?>/assets/img/icon/ms-icon-144x144.png">
	<meta name="theme-color" content="#ce171f">
	<script src="<?php echo bloginfo('template_directory'); ?>/assets/js/vendor/jquery-1.12.4.min.js"></script>
	<?php wp_head();?>
</head>
<body <?php sd_loads(); ?> <?php body_class(); ?> itemscope="itemscope" itemtype="http://schema.org/WebPage">
<!--[if lt IE 7]><p class="browsehappy">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p><![endif]-->
<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.8&appId=970151556405906";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
<div class="container-fluid">
   	<div class="row">
   		<div class="col-sm-12">
			<div class="spacing10"></div>
			<nav class="navbar navbar-default navbar-fixed-top" role="navigation">
				<div class="bgcolor2">
                	<div class="container-fluid">
						<div class="row">
				    		<div class="col-lg-3 col-md-2 col-xs-3">
                                 <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo $sd_options['logo']['url'];?>" alt="<?php echo $sd_options['site-name']?>" class="img-responsive visible-lg"></a>
                                 <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo $sd_options['logo']['url'];?>" alt="<?php echo $sd_options['site-name']?>" class="img-responsive visible-md"></a>
                                 <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo $sd_options['logo-small']['url'];?>" alt="<?php echo $sd_options['site-name']?>" class="img-responsive spacing10 visible-xs visible-sm"> </a>                                       
							</div>
				    		<div class="col-lg-4 col-md-4 col-xs-5">
								<div class="spacing30 hidden-xs"></div>
								<div id="navbar" class="navbar-collapse collapse">
									<ul class="nav navbar-nav">
														<?php
															wp_nav_menu
																( array
																	(
																		'theme_location'  => 'header-menu', 
																		'menu'            => '',
																		'container'       => '', 
																		'container_class' => '',
																		'container_id'    => '',
																		'menu_class'      => '',
																		'menu_id'         => '',
																		'echo'            => true,
																		'fallback_cb'     => 'wp_bootstrap_navwalker::fallback',
																		'before'          => '',
																		'after'           => '',
																		'link_before'     => '',
																		'link_after'      => '',
																		'items_wrap'      => '%3$s',
																		'depth'           => 0,
																		'walker'          => new wp_bootstrap_navwalker()
																	)
															);
														?>    
									</ul>
								</div>
	    					</div>
				    		<div class="col-lg-3 col-md-2 col-xs-2">
                               	<div class="text-center text-uppercase spacing10">
									<div class="spacing40"></div>
					        		<p class="nopaddingmargin h118 fbold color1"><i class="fa fa-phone"></i> <a href="tel:<?php echo $sd_options['phone']?>" class="colorlink2">Call Us</a>&nbsp;&nbsp;&nbsp;<i class="fa fa-map-marker"></i> <a href="<?php echo esc_url( home_url( '/contact-us' ) ); ?>" class="colorlink2">Find a Dealer</a></p>                              
								</div>
	    					</div>
				    		<div class="col-lg-2 col-md-2 col-xs-2 secondary__button-container">
                               	<div class="text-right text-uppercase">
									<div class="spacing30"></div>
					        		<p class="nopaddingmargin h118 fnormal visible-lg color1"><i class="fa fa-building-o"></i> <?php echo $sd_options['address']?></p>
					        		<p class="nopaddingmargin h116 fnormal visible-md color1"><i class="fa fa-building-o"></i> <?php echo $sd_options['address']?></p>    
					        		<small class="nopaddingmargin fnormal visible-xs color1"><?php echo $sd_options['address']?></small>                                    
								</div>
	    					</div>
       					</div>           
           			</div>
				</div>                    
			</nav>
		</div>
	</div>
</div>    
<style>
@media (min-width: 768px) {
	.mobile-menu-custom {
		position:fixed;
		width:100%;
		z-index:9;
		margin-top:20px;
	} 
}
@media (max-width: 768px) {
	.mobile-menu-custom {
		position:fixed;
		width:100%;
		z-index:9;
		margin-top: -2px;
	} 
}

</style>
<div class="bgcolor7 mobile-menu-custom">
	<div style="0px" class="visible-xs"></div>
	<div class="container-fluid">
	   	<div class="row">
    		<div class="col-sm-12">
				<nav class="navbar navbar-default navbar-custom visible-xs" role="navigation">
					<div class="navbar-header">
						<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
							<span class="sr-only">Toggle navigation</span>
							<span class="icon-bar"></span>
							<span class="icon-bar"></span>
							<span class="icon-bar"></span>
						</button>
						<span class="h118 fnormal color5 visible-xs" style="margin:10px 0 0 0;position:absolute; "><i class="fa fa-phone"></i> <?php echo $sd_options['phone']?></span>
					</div>
					<div id="navbar" class="navbar-collapse collapse">
						<ul class="nav navbar-nav">
											<?php
												wp_nav_menu
													( array
														(
															'theme_location'  => 'header-menu', 
															'menu'            => '',
															'container'       => '', 
															'container_class' => '',
															'container_id'    => '',
															'menu_class'      => '',
															'menu_id'         => '',
															'echo'            => true,
															'fallback_cb'     => 'wp_bootstrap_navwalker::fallback',
															'before'          => '',
															'after'           => '',
															'link_before'     => '',
															'link_after'      => '',
															'items_wrap'      => '%3$s',
															'depth'           => 0,
															'walker'          => new wp_bootstrap_navwalker()
														)
												);
											?>    
						</ul>
					</div>
				</nav>
    	    </div>
		</div>
    </div>
</div>
<div class="spacing40 hidden-xs"></div>
<div class="spacing55 visible-xs"></div>
