<?php
/**
 * Plugin Name: Brochure
 * Plugin URI: 
 * Description: Plugin used for downloading and printing brochures
 * Version: 1.0.0
 * Author: Jeram Tejano
 * Author URI: http://swatdigital.com
 * License: GPL2
 */
 
add_action( 'init', 'check_url' );

function check_url() {
    if( strpos( $_SERVER[ 'REQUEST_URI' ], '/brochure/' ) !== false ) {
        add_filter( 'the_posts', 'brochure_page' );
    }
}
#Shortcode for print
function brochure_print_shortcode($atts, $content=null)	{
	$shortcode_atts = shortcode_atts(['id' => 0,'label' => 'Print Brochure'], $atts, $tag);
	$link = '<a class="btn-print_brochure btn" onclick="printBrochure('.$shortcode_atts['id'].')" data-id="'.$shortcode_atts['id'].'">'.$shortcode_atts['label'].'</a>';
	return $link;
}
add_shortcode('brochure_print', 'brochure_print_shortcode');

function brochure_page() {
	$post_id = $_GET['id'];
	
	$stock_number = get_post_meta($post_id,'stock_no',true);
	$vin = get_post_meta($post_id,'vin_no',true);
	$year = get_post_meta($post_id,'year',true);
	$make = get_post_meta($post_id,'make',true);
	$model = get_post_meta($post_id,'model',true);
	$trim = get_post_meta($post_id,'trim',true);
	$engine = get_post_meta($post_id,'engine',true);
	$color = get_post_meta($post_id,'ext_color',true);
	$transmission = get_post_meta($post_id,'transmission',true);
	$interior = get_post_meta($post_id,'int_color',true);
	$drivetrain = get_post_meta($post_id,'drivetrain',true);
	$mileage = get_post_meta($post_id,'mileage',true);
	$body_type = get_post_meta($post_id,'body_style',true);
	$type = get_post_meta($post_id,'new_used',true);
	$price = number_format(get_post_meta($post_id,'internet_price',true),2);
	
	$citympg = get_post_meta($post_id,'mpgcity',true);
	$highwaympg = get_post_meta($post_id,'mpghighway',true);
	
	$image = get_post_meta($post_id,'photo_urls',true);
	$image = explode(',',$image);
	$image = isset($image[0])?$image[0].'':'';
	
	$name = get_the_title($post_id);
	$desc = get_the_content($post_id); 
	//$description = get_post_field('post_content', $post_id);
	$options = preg_split("/[\t,]/",get_post_meta($post_id,'options',true));
	
	$contact_information = get_option('brochure_contact_information');
	
	//var_dump($stock_number);
	
    include dirname(__FILE__).'/printable.php';
	
	die();
}

/* 
	* Add menu item for website contact information
	*
*/
function brochure_settings_page(){ 
	?>
	<div class="wrap">
		<h1>Brochure Settings</h1>
		<p>This information will show on the car printable and pdf brochures.</p>
		<form method="post" action="options.php">
			<?php
			settings_fields("section");
			do_settings_sections("brochure-options");
			submit_button();
			?>
		</form>
		
		<h2>How to use</h2>
		
		Display print button: [brochure_print label="Print Brochure" id="POST_ID"]
	</div>
	
	<?php }


function display_contact_info_field(){ ?>
	
	<textarea type="tel" name="brochure_contact_information"><?php echo get_option('brochure_contact_information'); ?></textarea>

<?php }

function display_brochure_info_fields(){
	
	add_settings_section("section", "", null, "brochure-options");

	add_settings_field("brochure_contact_information", "Contact Information", "display_contact_info_field", "brochure-options", "section");

	register_setting("section", "brochure_contact_information");
	
}

add_action("admin_init", "display_brochure_info_fields");


function add_custom_info_menu_item(){
	
	add_options_page("Brochure Contact Info", "Brochure Contact Info", "manage_options", "brochure-contact-info", "brochure_settings_page");
	
}

add_action("admin_menu", "add_custom_info_menu_item");

/*
 * Add script to html head
 *
 */
 
 function brocuhure_custom_js() {
    ?>
	<script>
		var BASE_URL = '<?php echo site_url() ?>';
	</script>
	<script type="text/javascript" src="<?php echo site_url('wp-content/plugins/brochure/scripts.js') ?>"></script><?php
}
add_action('wp_head', 'brocuhure_custom_js');