<?php
remove_action('wp_head', 'wp_generator');
add_theme_support( 'menus' );
add_filter( 'wpcf7_validate_configuration', '__return_false' );
add_filter( 'style_loader_src', 'sdt_remove_ver_css_js', 9999 );
add_filter( 'script_loader_src', 'sdt_remove_ver_css_js', 9999 );
add_filter( 'pre_option_page_comments', '__return_true' );
function sdt_remove_ver_css_js( $src ) {
	if ( strpos( $src, 'ver=' ) )
		$src = remove_query_arg( 'ver', $src );
	return $src;
}

if ( function_exists('register_sidebar') )
register_sidebar(array(
		'name'=>'Sidebar',
		'id' => 'sidebar-1',
		'before_widget' => '<div id="%1$s" class="sidebar %2$s">',
		'after_widget' => ' </div>',
		'before_title' => '<div class="sidebar-header"><h2>',
		'after_title' => '</h2></div>',
));

/* CUSTOM MENUS */	

register_nav_menus( array(
		'header-menu' => __( 'HEADER' ),
		'inventory-menu' => __( 'INVENTORY' ),
		'finance-menu' => __( 'FINANCE' ),
		'about-menu' => __( 'ABOUT' ),
	) );
	

function fallbackmenu(){ ?>
			<div id="submenu">
				<ul><li> Go to Adminpanel > Appearance > Menus to create your menu.</li></ul>
			</div>
<?php }	

add_theme_support( 'post-thumbnails' );
add_image_size( 'page-thumb', 0, 0, true );

// register Custom Post Types

function create_post_types() {
	
	register_post_type('slide', array(
        'labels' => array(
	    'name' => 'Carousel',
	    'all_items' => 'All'
	),
        'public' => true,
        'has_archive' => true,
	'rewrite' => array('slug' => 'slide'),
	'supports' => array('title', 'thumbnail'),
	'exclude_from_search' => false
	));
	
	register_post_type('reviews', array(
        'labels' => array(
	    'name' => 'Review',
	    'all_items' => 'All'
	),
        'public' => true,
        'has_archive' => true,
	'rewrite' => array('slug' => 'review/detail'),
	'supports' => array('title', 'thumbnail', 'editor', 'custom-fields'),
	'exclude_from_search' => false
	));
	
	register_post_type('videos', array(
        'labels' => array(
	    'name' => 'Video',
	    'all_items' => 'All'
	),
        'public' => true,
        'has_archive' => true,
	'rewrite' => array('slug' => 'video/detail'),
	'supports' => array('title', 'thumbnail', 'editor', 'custom-fields'),
	'exclude_from_search' => false
	));
}


add_action('init', 'create_post_types');

function custom_post_type() {

// Set UI labels for Custom Post Type
	$labels = array(
		'name'                => _x( 'Inventory', 'Post Type General Name', 'twentythirteen' ),
		'singular_name'       => _x( 'Inventory', 'Post Type Singular Name', 'twentythirteen' ),
		'menu_name'           => __( 'Inventory', 'twentythirteen' ),
		'parent_item_colon'   => __( 'Parent Inventory', 'twentythirteen' ),
		'all_items'           => __( 'All Inventory', 'twentythirteen' ),
		'view_item'           => __( 'View Inventory', 'twentythirteen' ),
		'add_new_item'        => __( 'Add New Inventory', 'twentythirteen' ),
		'add_new'             => __( 'Add New', 'twentythirteen' ),
		'edit_item'           => __( 'Edit Inventory', 'twentythirteen' ),
		'update_item'         => __( 'Update Inventory', 'twentythirteen' ),
		'search_items'        => __( 'Search Inventory', 'twentythirteen' ),
		'not_found'           => __( 'Not Found', 'twentythirteen' ),
		'not_found_in_trash'  => __( 'Not found in Trash', 'twentythirteen' ),
	);
	
// Set other options for Custom Post Type
	
	$args = array(
		'label'               => __( 'inventory', 'twentythirteen' ),
		'description'         => __( 'Inventory', 'twentythirteen' ),
		'labels'              => $labels,
		'rewrite'	     	  => array('slug' => 'detail-inventory'),
		'supports'            => array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'comments', 'revisions', 'custom-fields', ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 5,
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'page',
		
		// This is where we add taxonomies to our CPT
		'taxonomies'          => array( ),
	);
	
	// Registering your Custom Post Type
	register_post_type( 'inventory', $args );
	
	// Set UI labels for Custom Post Type
	$labels = array(
		'name'                => _x( 'Cities', 'Post Type General Name', 'twentythirteen' ),
		'singular_name'       => _x( 'Cities', 'Post Type Singular Name', 'twentythirteen' ),
		'menu_name'           => __( 'Cities', 'twentythirteen' ),
		'parent_item_colon'   => __( 'Parent Cities', 'twentythirteen' ),
		'all_items'           => __( 'All Cities', 'twentythirteen' ),
		'view_item'           => __( 'View Cities', 'twentythirteen' ),
		'add_new_item'        => __( 'Add New Cities', 'twentythirteen' ),
		'add_new'             => __( 'Add New', 'twentythirteen' ),
		'edit_item'           => __( 'Edit Cities', 'twentythirteen' ),
		'update_item'         => __( 'Update Cities', 'twentythirteen' ),
		'search_items'        => __( 'Search Cities', 'twentythirteen' ),
		'not_found'           => __( 'Not Found', 'twentythirteen' ),
		'not_found_in_trash'  => __( 'Not found in Trash', 'twentythirteen' ),
	);
	
// Set other options for Custom Post Type
	
	$args = array(
		'label'               => __( 'cities', 'twentythirteen' ),
		'description'         => __( 'Cities', 'twentythirteen' ),
		'labels'              => $labels,
		'rewrite'	     	  => array('slug' => 'cities-directions'),
		'supports'            => array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'comments', 'revisions', 'custom-fields', ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 5,
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'page',
		
		// This is where we add taxonomies to our CPT
		'taxonomies'          => array( ),
	);
	
	// Registering your Custom Post Type
	register_post_type( 'cities', $args );


}

/* Hook into the 'init' action so that the function
* Containing our post type registration is not 
* unnecessarily executed. 
*/

add_action( 'init', 'custom_post_type', 0 );

if ( ! class_exists( 'ReduxFramework' ) ){
   	define('REDUX_URL',get_template_directory_uri().'/lib/ReduxFramework/ReduxCore/');
    require_once(dirname(__FILE__) . '/ReduxFramework/ReduxCore/framework.php');
}
require_once('redux-options.php');

function sd_styles() 
{
    wp_enqueue_style( 'style', get_stylesheet_uri() );
	wp_enqueue_style( 'bootstrap', get_template_directory_uri().'/assets/css/bootstrap.min.css' );
    if ( !is_page( array( 'eprice' ) ) ) {
		wp_enqueue_style( 'main', get_template_directory_uri().'/assets/css/main.css' );     
    }
     if ( is_page( array( 'eprice' ) ) ) {
		wp_enqueue_style( 'main', get_template_directory_uri().'/assets/css/main2.css' );     
    }
    wp_enqueue_style( 'form', get_template_directory_uri().'/assets/css/form.css' );  
	wp_enqueue_style( 'custom', get_template_directory_uri().'/assets/css/custom.css' );
    wp_enqueue_style( 'font-awesome', get_template_directory_uri().'/assets/css/font-awesome.min.css' );
	if ( is_page( array( 'inventory', 'inventory-waynesboro', 'inventory-chambersburg', 'inventory-over-30-mpg', 'inventory-suv', 'inventory-trucks', 'inventory-vans', 'inventory-under-ten-thousand' ) ) || is_singular('inventory') ) {
		wp_enqueue_style( 'compare', get_template_directory_uri().'/assets/css/compare.css' );
    }
	if ( is_home() ) {
		wp_enqueue_style( 'owl-carousel-min', get_template_directory_uri().'/assets/css/owl.carousel.min.css' );
		wp_enqueue_style( 'owl-theme-default-min', get_template_directory_uri().'/assets/css/owl.theme.default.min.css' );
	}
}
add_action( 'wp_enqueue_scripts', 'sd_styles' ); 
/*
function sd_async_scripts($url)
{
    if ( strpos( $url, '#asyncload') === false )
        return $url;
    else if ( is_admin() )
        return str_replace( '#asyncload', '', $url );
    else
	return str_replace( '#asyncload', '', $url )."' async='async"; 
    }
add_filter( 'clean_url', 'sd_async_scripts', 11, 1 );
*/
function sd_enqueue_scripts() {
	wp_enqueue_script( 'jquery-swat', get_template_directory_uri(). '/assets/js/vendor/jquery-1.12.4.min.js', 'jquery', '', true ); 
	wp_enqueue_script( 'bootstrap', get_template_directory_uri(). '/assets/js/vendor/bootstrap.min.js', 'jquery', '', true );
	wp_enqueue_script( 'translate', 'https://translate.google.com/translate_a/element.js?cb=googleTranslateElementInit', 'jquery', '', true );
	wp_enqueue_script( 'plugins', get_template_directory_uri(). '/assets/js/plugins.js', 'jquery', '', true );
	if ( is_singular( array( 'inventory' ) ) ) {
		wp_enqueue_script( 'maps', 'https://maps.googleapis.com/maps/api/js?key=AIzaSyB2k9w0Zxad7Xr_CiMe_pniHGG05UaQ3vk&libraries=places', 'jquery', '', true );
		wp_enqueue_script( 'calc', get_template_directory_uri(). '/assets/js/func/calc.js', 'jquery', '', true );
	}
	if ( is_page( array( 'inventory', 'inventory-waynesboro', 'inventory-chambersburg', 'inventory-over-30-mpg', 'inventory-suv', 'inventory-trucks', 'inventory-vans', 'inventory-under-ten-thousand' ) ) || is_singular('inventory') ) {
		wp_enqueue_script( 'ng-infinite-scroll', get_template_directory_uri(). '/angular/js/ng-infinite-scroll.min.js', 'jquery', '', true );
		wp_enqueue_script( 'ui-bootstrap-tpls', get_template_directory_uri(). '/angular/js/ui-bootstrap-tpls-0.10.0.js', 'jquery', '', true );
		wp_enqueue_script( 'compare', get_template_directory_uri(). '/assets/js/compare.js', 'jquery', '', true );
	}
	if ( is_home() ) {
	    wp_enqueue_script( 'jquery-owl', get_template_directory_uri(). '/assets/js/vendor/owl.carousel.min.js', 'jquery', '', true ); 
	 	wp_enqueue_script( 'owl-carousel', get_template_directory_uri(). '/assets/js/owl-carousel.js', 'jquery', '', true );
		wp_enqueue_script( 'ng-infinite-scroll', get_template_directory_uri(). '/angular/js/ng-infinite-scroll.min.js', 'jquery', '', true );
		wp_enqueue_script( 'ui-bootstrap-tpls', get_template_directory_uri(). '/angular/js/ui-bootstrap-tpls-0.10.0.js', 'jquery', '', true );
		wp_enqueue_script( 'ytvideo', get_template_directory_uri(). '/assets/js/vendor/ytvideo.js', 'jquery', '', true );
		wp_enqueue_script( 'yt', get_template_directory_uri(). '/assets/js/func/yt.js', 'jquery', '', true );
		wp_enqueue_script( 'mapfunc', get_template_directory_uri(). '/assets/js/func/map.js', 'jquery', '', true );
		wp_enqueue_script( 'maps', 'https://maps.googleapis.com/maps/api/js?key=AIzaSyB2k9w0Zxad7Xr_CiMe_pniHGG05UaQ3vk&libraries=places', 'jquery', '', true );
	}
		wp_enqueue_script( 'maps-auto', get_template_directory_uri(). '/assets/js/address-auto.js', 'jquery', '', true );
}
add_action( 'wp_enqueue_scripts', 'sd_enqueue_scripts' );

function sd_loads() {
	if ( is_home() ) {
		echo 'onload="load()"';
	}
	if ( is_singular( array( 'inventory' ) ) ) {
		echo 'onload="load()"';
	}
}

add_filter( 'body_class', 'wpse15850_body_class', 10, 2 );
function wpse15850_body_class( $wp_classes, $extra_classes ) {
    $whitelist = array( 'single', 'page', 'home', 'error404' );
    $wp_classes = array_intersect( $wp_classes, $whitelist );
    return array_merge( $wp_classes, (array) $extra_classes );
}

function sd_ngapp() {
	if ( is_home() ) {
		//echo ' ng-app="app"';
	}
}

add_action("login_head", "my_login_head");
function my_login_head() {
	echo "
	<style>
	body.login {background: #333333;color:#fff;}
	body.login #login h1 a {
		margin-top:-20px;
		height: 113px;
		width: 302px;
		margin-left: 0px;
		background-image: url('".get_template_directory_uri()."/assets/img/logo.png');
		background-size: 302px;
	}
	body.login #login {
		padding-top:50px!important;
	}
	.login #login_error, .login .message {
    color:#000;
	}
	.login #backtoblog a, .login #nav a {
		text-decoration: none;
		color: #eeb607;
	}
	.login #backtoblog a:hover, .login #nav a:hover {
		text-decoration: none;
		color: #fff;
	}
	#wp-submit { 
		color:#ffffff; 
		border:none; 
		-webkit-border-radius:0px; 
		-moz-border-radius:0px; 
		border-radius:0px; 
		background:#eeb607; 
		cursor:pointer; 
		padding:0px 20px 10px 20px;
		font-size:120%;
		text-shadow: 0 -1px 1px #eeb607,1px 0 1px #eeb607,0 1px 1px #eeb607,-1px 0 1px #eeb607;
		box-shadow: 0 1px 0 #eeb607;
	}
	#wp-submit:hover, #wp-submit:focus, #wp-submit:active { 
		color:#ffffff; 
		border:none; 
		-webkit-border-radius:0px; 
		-moz-border-radius:0px; 
		border-radius:0px; 
		background:#999999; 
		cursor:pointer; 
		padding:0px 20px 10px 20px;
		font-size:120%;	
		text-shadow: 0 -1px 1px #eeb607,1px 0 1px #eeb607,0 1px 1px #eeb607,-1px 0 1px #eeb607;
		box-shadow: 0 1px 0 #eeb607;
	}
	.login label {
		color: #eeb607;
		font-size: 14px;
		font-weight:bold;
	}
	.login form {
		background: #333333;
		-webkit-box-shadow: none;
		box-shadow: none;
	}
	</style>
	";
}

function disable_emojis() {
	remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
	remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
	remove_action( 'wp_print_styles', 'print_emoji_styles' );
	remove_action( 'admin_print_styles', 'print_emoji_styles' );	
	remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
	remove_filter( 'comment_text_rss', 'wp_staticize_emoji' );	
	remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
	add_filter( 'tiny_mce_plugins', 'disable_emojis_tinymce' );
}
add_action( 'init', 'disable_emojis' );
function disable_emojis_tinymce( $plugins ) {
	if ( is_array( $plugins ) ) {
		return array_diff( $plugins, array( 'wpemoji' ) );
	} else {
		return array();
	}
}
function speed_stop_loading_wp_embed() {
if (!is_admin()) {
wp_deregister_script('wp-embed');
}
}
add_action('init', 'speed_stop_loading_wp_embed');
function comments_clean_header_hook(){
 wp_deregister_script( 'comment-reply' );
 }
add_action('init','comments_clean_header_hook');

remove_action('wp_head', 'rel_canonical');
remove_action('wp_head', 'rsd_link'); 
remove_action('wp_head', 'wlwmanifest_link'); 
remove_action('wp_head', 'wp_generator');
remove_action('wp_head', 'wp_shortlink_wp_head'); 
remove_action( 'wp_head', 'feed_links', 2 ); 
remove_action('wp_head', 'feed_links_extra', 3 );  
remove_action('wp_head', 'adjacent_posts_rel_link_wp_head');


function list_searcheable_acf(){
  $list_searcheable_acf = array("title", 'make', 'body_style', 'year', 'model', 'internet_price', 'retail', 'mileage', 'stock_no', 'new_used');
  return $list_searcheable_acf;
}

function advanced_custom_search( $where, &$wp_query ) {
    global $wpdb;
 
    if ( empty( $where ))
        return $where;
 
    // get search expression
    $terms = $wp_query->query_vars[ 's' ];
    //echo $terms;
	
    // explode search expression to get search terms
    $exploded = explode( '|', $terms );
    if( $exploded === FALSE || count( $exploded ) == 0 )
        $exploded = array( 0 => $terms );
         
    // reset search in order to rebuilt it as we whish
    $where = '';
	//echo $terms;
    // get searcheable_acf, a list of advanced custom fields you want to search content in
	
	if (strlen($terms) < 4 ) {
		$list_searcheable_acf = list_searcheable_acf();
		unset($list_searcheable_acf[6]);
		unset($list_searcheable_acf[7]);
		unset($list_searcheable_acf[8]);
		//unset($list_searcheable_acf[9]);
		//unset($list_searcheable_acf[10]);
		//print_r($list_searcheable_acf);
	} else {
		$list_searcheable_acf = list_searcheable_acf();
	}
	
    foreach( $exploded as $tag ) :
        $where .= " 
          AND (
            (wp_posts.post_title LIKE '%$tag%')
            OR EXISTS (
              SELECT * FROM wp_postmeta
	              WHERE post_id = wp_posts.ID
	                AND (";
        foreach ($list_searcheable_acf as $searcheable_acf) :
          if ($searcheable_acf == $list_searcheable_acf[0]):
            $where .= " (meta_key LIKE '%" . $searcheable_acf . "%' AND meta_value LIKE '%$tag%') ";
          else :
            $where .= " OR (meta_key LIKE '%" . $searcheable_acf . "%' AND meta_value LIKE '%$tag%') ";
          endif;
        endforeach;
	        $where .= ")
            )
            OR EXISTS (
              SELECT * FROM wp_comments
              WHERE comment_post_ID = wp_posts.ID
                AND comment_content LIKE '%$tag%'
            )
            OR EXISTS (
              SELECT * FROM wp_terms
              INNER JOIN wp_term_taxonomy
                ON wp_term_taxonomy.term_id = wp_terms.term_id
              INNER JOIN wp_term_relationships
                ON wp_term_relationships.term_taxonomy_id = wp_term_taxonomy.term_taxonomy_id
              WHERE (
          		taxonomy = 'post_tag'
            		OR taxonomy = 'category'          		
            		OR taxonomy = 'myCustomTax'
          		)
              	AND object_id = wp_posts.ID
              	AND wp_terms.name LIKE '%$tag%'
            )
        )";
    endforeach;
    return $where;
}
 
add_filter( 'posts_search', 'advanced_custom_search', 500, 2 );
error_reporting(E_ERROR | E_PARSE);
