<?php

/**
	ReduxFramework Sample Config File
	For full documentation, please visit http://reduxframework.com/docs/
**/


/*
 *
 * Custom function for filtering the sections array. Good for child themes to override or add to the sections.
 * Simply include this function in the child themes functions.php file.
 *
 * NOTE: the defined constansts for URLs, and directories will NOT be available at this point in a child theme,
 * so you must use get_template_directory_uri() if you want to use any of the built in icons
 *
 */
/*
function add_another_section($sections){
    //$sections = array();
    $sections[] = array(
        'title' => __('A Section added by hook', 'redux-framework'),
        'desc' => __('<p class="description">This is a section created by adding a filter to the sections array. Can be used by child themes to add/remove sections from the options.</p>', 'redux-framework'),
		'icon' => 'paper-clip',
		'icon_class' => 'icon-large',
        // Leave this as a blank section, no options just some intro text set above.
        'fields' => array()
    );

    return $sections;
}
add_filter('redux-opts-sections-redux-sample', 'add_another_section');
*/

/*
 * 
 * Custom function for filtering the args array given by a theme, good for child themes to override or add to the args array.
 *
 */
/*
function change_framework_args($args){
    //$args['dev_mode'] = false;
    
    return $args;
}
//add_filter('redux-opts-args-redux-sample-file', 'change_framework_args');
*/

/*
 *
 * Most of your editing will be done in this section.
 *
 * Here you can override default values, uncomment args and change their values.
 * No $args are required, but they can be over ridden if needed.
 *
 */
function setup_framework_options(){
    $args = array();


    // For use with a tab below
		$tabs = array();

		ob_start();

		$ct = wp_get_theme();
        $theme_data = $ct;
        $item_name = $theme_data->get('Name'); 
		$tags = $ct->Tags;
		$screenshot = $ct->get_screenshot();
		$class = $screenshot ? 'has-screenshot' : '';

		$customize_title = sprintf( __( 'Customize &#8220;%s&#8221;' ), $ct->display('Name') );

		?>
		<div id="current-theme" class="<?php echo esc_attr( $class ); ?>">
			<?php if ( $screenshot ) : ?>
				<?php if ( current_user_can( 'edit_theme_options' ) ) : ?>
				<a href="<?php echo wp_customize_url(); ?>" class="load-customize hide-if-no-customize" title="<?php echo esc_attr( $customize_title ); ?>">
					<img src="<?php echo esc_url( $screenshot ); ?>" alt="<?php esc_attr_e( 'Current theme preview' ); ?>" />
				</a>
				<?php endif; ?>
				<img class="hide-if-customize" src="<?php echo esc_url( $screenshot ); ?>" alt="<?php esc_attr_e( 'Current theme preview' ); ?>" />
			<?php endif; ?>

			<h4>
				<?php echo $ct->display('Name'); ?>
			</h4>

			<div>
				<ul class="theme-info">
					<li><?php printf( __('By %s'), $ct->display('Author') ); ?></li>
					<li><?php printf( __('Version %s'), $ct->display('Version') ); ?></li>
					<li><?php echo '<strong>'.__('Tags', 'redux-framework').':</strong> '; ?><?php printf( $ct->display('Tags') ); ?></li>
				</ul>
				<p class="theme-description"><?php echo $ct->display('Description'); ?></p>
				<?php if ( $ct->parent() ) {
					printf( ' <p class="howto">' . __( 'This <a href="%1$s">child theme</a> requires its parent theme, %2$s.' ) . '</p>',
						__( 'http://codex.wordpress.org/Child_Themes' ),
						$ct->parent()->display( 'Name' ) );
				} ?>
				
			</div>

		</div>

		<?php
		$item_info = ob_get_contents();
		    
		ob_end_clean();


	if( file_exists( dirname(__FILE__).'/info-html.html' )) {
		global $wp_filesystem;
		if (empty($wp_filesystem)) {
			require_once(ABSPATH .'/wp-admin/includes/file.php');
			WP_Filesystem();
		}  		
		$sampleHTML = $wp_filesystem->get_contents(dirname(__FILE__).'/info-html.html');
	}


    // Setting dev mode to true allows you to view the class settings/info in the panel.
    // Default: true
    $args['dev_mode'] = false;

	// Set the icon for the dev mode tab.
	// If $args['icon_type'] = 'image', this should be the path to the icon.
	// If $args['icon_type'] = 'iconfont', this should be the icon name.
	// Default: info-sign
	$args['dev_mode_icon'] = 'info-sign';

	// Set the class for the dev mode tab icon.
	// This is ignored unless $args['icon_type'] = 'iconfont'
	// Default: null
    $args['dev_mode_icon_class'] = 'icon-large';

    // Set a custom option name. Don't forget to replace spaces with underscores!
    $args['opt_name'] = 'sd_options';

    // Setting system info to true allows you to view info useful for debugging.
    // Default: true
    // $args['system_info'] = false;

    
	// Set the icon for the system info tab.
	// If $args['icon_type'] = 'image', this should be the path to the icon.
	// If $args['icon_type'] = 'iconfont', this should be the icon name.
	// Default: info-sign
	//$args['system_info_icon'] = 'info-sign';

	// Set the class for the system info tab icon.
	// This is ignored unless $args['icon_type'] = 'iconfont'
	// Default: null
	$args['system_info_icon_class'] = 'icon-large';

	$theme = wp_get_theme();

	$args['display_name'] = $theme->get('Name');
	//$args['database'] = "theme_mods_expanded";
	$args['display_version'] = $theme->get('Version');

    // If you want to use Google Webfonts, you MUST define the api key.
    $args['google_api_key'] = 'AIzaSyAX_2L_UzCDPEnAHTG7zhESRVpMPS4ssII';

    // Define the starting tab for the option panel.
    // Default: '0';
    //$args['last_tab'] = '0';

    // Define the option panel stylesheet. Options are 'standard', 'custom', and 'none'
    // If only minor tweaks are needed, set to 'custom' and override the necessary styles through the included custom.css stylesheet.
    // If replacing the stylesheet, set to 'none' and don't forget to enqueue another stylesheet!
    // Default: 'standard'
    //$args['admin_stylesheet'] = 'standard';

    // Setup custom links in the footer for share icons
	/*
    $args['share_icons']['twitter'] = array(
        'link' => 'http://twitter.com/ghost1227',
        'title' => 'Follow me on Twitter', 
        'img' => REDUX_URL . 'assets/img/social/Twitter.png'
    );
    $args['share_icons']['linked_in'] = array(
        'link' => 'http://www.linkedin.com/profile/view?id=52559281',
        'title' => 'Find me on LinkedIn', 
        'img' => REDUX_URL . 'assets/img/social/LinkedIn.png'
    );
	*/

    // Enable the import/export feature.
    // Default: true
    $args['show_import_export'] = true;

	// Set the icon for the import/export tab.
	// If $args['icon_type'] = 'image', this should be the path to the icon.
	// If $args['icon_type'] = 'iconfont', this should be the icon name.
	// Default: refresh
	$args['import_icon'] = 'refresh';

	// Set the class for the import/export tab icon.
	// This is ignored unless $args['icon_type'] = 'iconfont'
	// Default: null
	$args['import_icon_class'] = 'icon-large';

    // Set a custom menu icon.
    //$args['menu_icon'] = '';

    // Set a custom title for the options page.
    // Default: Options
    $args['menu_title'] = __('Theme Options', 'redux-framework');

    // Set a custom page title for the options page.
    // Default: Options
    $args['page_title'] = __('Theme Options', 'redux-framework');

    // Set a custom page slug for options page (wp-admin/themes.php?page=***).
    // Default: redux_options
    $args['page_slug'] = 'theme_options';

    $args['default_show'] = true;
    $args['default_mark'] = '*';

    // Set a custom page capability.
    // Default: manage_options
    //$args['page_cap'] = 'manage_options';

    // Set a custom page location. This allows you to place your menu where you want in the menu order.
    // Must be unique or it will override other items!
    // Default: null
    //$args['page_position'] = null;

	// Set the icon type. Set to "iconfont" for Font Awesome, or "image" for traditional.
	// Redux no longer ships with standard icons!
	// Default: iconfont
	$args['icon_type'] = 'iconfont';

    // Disable the panel sections showing as submenu items.
    // Default: true
    $args['allow_sub_menu'] = true;
        
    // Set ANY custom page help tabs, displayed using the new help tab API. Tabs are shown in order of definition.
	/*
    $args['help_tabs'][] = array(
        'id' => 'redux-opts-1',
        'title' => __('Theme Information 1', 'redux-framework'),
        'content' => __('<p>This is the tab content, HTML is allowed.</p>', 'redux-framework')
    );
    $args['help_tabs'][] = array(
        'id' => 'redux-opts-2',
        'title' => __('Theme Information 2', 'redux-framework'),
        'content' => __('<p>This is the tab content, HTML is allowed.</p>', 'redux-framework')
    );

    // Set the help sidebar for the options page.                                        
    $args['help_sidebar'] = __('<p>This is the sidebar content, HTML is allowed.</p>', 'redux-framework');
*/

    // Add HTML before the form.
    if (!isset($args['global_variable']) || $args['global_variable'] !== false ) {
    	if (!empty($args['global_variable'])) {
    		$v = $args['global_variable'];
    	} else {
    		$v = str_replace("-", "_", $args['opt_name']);
    	}
    	$args['intro_text'] = __('<p>Customize the theme by changing these options. Options are accessed by using the global variable "' . $v .'"</p>', 'redux-framework');
    } else {
    	$args['intro_text'] = __('<p>Customize the theme by changing these options</p>', 'redux-framework');
    }

    // Add content after the form.
    $args['footer_text'] = __('<p>For more information about this theme, visit <a href="http://swatdigital.com/">http://swatdigital.com/</a></p>', 'redux-framework');

    // Set footer/credit line.
    //$args['footer_credit'] = __('<p>This text is displayed in the options panel footer across from the WordPress version (where it normally says \'Thank you for creating with WordPress\'). This field accepts all HTML.</p>', 'redux-framework');


    $sections = array();              

    //Background Patterns Reader
    $sample_patterns_path = ReduxFramework::$_url . 'sample/patterns/';
    $sample_patterns_url  = ReduxFramework::$_dir . 'sample/patterns/';
    $sample_patterns      = array();

    if ( is_dir( $sample_patterns_path ) ) :
    	
      if ( $sample_patterns_dir = opendir( $sample_patterns_path ) ) :
      	$sample_patterns = array();

        while ( ( $sample_patterns_file = readdir( $sample_patterns_dir ) ) !== false ) {

          if( stristr( $sample_patterns_file, '.png' ) !== false || stristr( $sample_patterns_file, '.jpg' ) !== false ) {
          	$name = explode(".", $sample_patterns_file);
          	$name = str_replace('.'.end($name), '', $sample_patterns_file);
          	$sample_patterns[] = array( 'alt'=>$name,'img' => $sample_patterns_url . $sample_patterns_file );
          }
        }
      endif;
    endif;
	
	$sections[] = array(
			'icon' => 'level-down',
			'icon_class' => 'icon-large',
	        'title' => __('HEADER', 'redux-framework-demo'),
	        'desc' => __('<p class="description">Configure Here</p>', 'redux-framework-demo'),
	        'fields' => array(
				array(
					'id'=>'logo',
					'type' => 'media', 
					'url'=> true,
					'title' => __('Big Logo', 'redux-framework-demo'),
					'compiler' => 'true',
					'desc'=> __('', 'redux-framework-demo'),
					'subtitle' => __('', 'redux-framework-demo'),
					),
				array(
					'id'=>'logo-small',
					'type' => 'media', 
					'url'=> true,
					'title' => __('Small Logo', 'redux-framework-demo'),
					'compiler' => 'true',
					'desc'=> __('', 'redux-framework-demo'),
					'subtitle' => __('', 'redux-framework-demo'),
					),
				array( 
					'title' => __('Site Name', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'site-name',
					'default' => '',
					'type' => 'text'
				),
				array( 
					'title' => __('Quote Desktop', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'site-wuote-lg',
					'default' => '',
					'type' => 'text'
				),
				array( 
					'title' => __('Quote Mobile', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'site-wuote-sm',
					'default' => '',
					'type' => 'text'
				),
				array( 
					'title' => __('Phone', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'phone',
					'default' => '',
					'type' => 'text'
				),
				array( 
					'title' => __('Address', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'address',
					'default' => '',
					'type' => 'text'
				),
				
            )
		);

		
	$sections[] = array(
			'icon' => 'level-down',
			'icon_class' => 'icon-large',
	        'title' => __('SOCIAL MEDIA & LINK', 'redux-framework-demo'),
	        'desc' => __('<p class="description">Configure Here</p>', 'redux-framework-demo'),
	        'fields' => array(
				array( 
					'title' => __('RSS', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'rss',
					'default' => '',
					'type' => 'text'
				),
				array( 
					'title' => __('Facebook', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'fb',
					'default' => '',
					'type' => 'text'
				),
				array( 
					'title' => __('Instagram', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'it',
					'default' => '',
					'type' => 'text'
				),
				array( 
					'title' => __('Youtube', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'yt',
					'default' => '',
					'type' => 'text'
				),
				array( 
					'title' => __('Terms of Use', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'terms',
					'default' => '',
					'type' => 'text'
				),
				array( 
					'title' => __('Privacy Policy', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'privacy',
					'default' => '',
					'type' => 'text'
				),
            )
		);
		
	$sections[] = array(
			'icon' => 'level-down',
			'icon_class' => 'icon-large',
	        'title' => __('HOME MAIN', 'redux-framework-demo'),
	        'desc' => __('<p class="description">Configure Here</p>', 'redux-framework-demo'),
	        'fields' => array(
				array( 
					'title' => __('Youtube Big Video', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'yt-video',
					'default' => '',
					'type' => 'text'
				),
				array(
					'id'=>'ads',
					'type' => 'media', 
					'url'=> true,
					'title' => __('Ads', 'redux-framework-demo'),
					'compiler' => 'true',
					'desc'=> __('', 'redux-framework-demo'),
					'subtitle' => __('', 'redux-framework-demo'),
					),
				array( 
					'title' => __('Home Content Title', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'home-content-title',
					'default' => '',
					'type' => 'text'
				),
				array( 
					'title' => __('Home Content Desc', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'home-content-desc',
					'default' => '',
					'type' => 'textarea'
				),
				array( 
					'title' => __('Maps URL', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'maps',
					'default' => '',
					'type' => 'textarea'
				),
				array( 
					'title' => __('Bottom Content Title 2', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'bottom-title-1',
					'default' => '',
					'type' => 'text'
				),
				array( 
					'title' => __('Bottom Content Desc 2', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'bottom-content-1',
					'default' => '',
					'type' => 'textarea'
				),
				array( 
					'title' => __('Bottom Content URL', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'bottom-url-1',
					'default' => '',
					'type' => 'text'
				),
				array( 
					'title' => __('Bottom Content Youtube', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'bottom-yt-1',
					'default' => '',
					'type' => 'text'
				),
				array( 
					'title' => __('Bottom Big Text', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'bottom-text-big',
					'default' => '',
					'type' => 'text'
				),
            )
		);
		
		
	$sections[] = array(
			'icon' => 'level-down',
			'icon_class' => 'icon-large',
	        'title' => __('FOOTER', 'redux-framework-demo'),
	        'desc' => __('<p class="description">Configure Here</p>', 'redux-framework-demo'),
	        'fields' => array(
				array( 
					'title' => __('Footer Address', 'redux-framework-demo'),
					'desc' => __('Address', 'redux-framework-demo'),
					'id' => 'address-footer',
					'default' => '',
					'type' => 'textarea'
				),
				array( 
					'title' => __('Copyright', 'redux-framework-demo'),
					'desc' => __('', 'redux-framework-demo'),
					'id' => 'copyright',
					'default' => '',
					'type' => 'textarea'
				),
            )
		);
		
		$tabs = array();

	if (function_exists('wp_get_theme')){
	$theme_data = wp_get_theme();
	$theme_uri = $theme_data->get('ThemeURI');
	$description = $theme_data->get('Description');
	$author = $theme_data->get('Author');
	$version = $theme_data->get('Version');
	$tags = $theme_data->get('Tags');
	}else{
	$theme_data = get_theme_data(trailingslashit(get_stylesheet_directory()).'style.css');
	$theme_uri = $theme_data['URI'];
	$description = $theme_data['Description'];
	$author = $theme_data['Author'];
	$version = $theme_data['Version'];
	$tags = $theme_data['Tags'];
	}	

	$theme_info = '<div class="redux-framework-section-desc">';
	$theme_info .= '<p class="redux-framework-theme-data description theme-uri">'.__('<strong>Theme URL:</strong> ', 'redux-framework').'<a href="'.$theme_uri.'" target="_blank">'.$theme_uri.'</a></p>';
	$theme_info .= '<p class="redux-framework-theme-data description theme-author">'.__('<strong>Author:</strong> ', 'redux-framework').$author.'</p>';
	$theme_info .= '<p class="redux-framework-theme-data description theme-version">'.__('<strong>Version:</strong> ', 'redux-framework').$version.'</p>';
	$theme_info .= '<p class="redux-framework-theme-data description theme-description">'.$description.'</p>';
	$theme_info .= '<p class="redux-framework-theme-data description theme-tags">'.__('<strong>Tags:</strong> ', 'redux-framework').implode(', ', $tags).'</p>';
	$theme_info .= '</div>';

	if(file_exists(dirname(__FILE__).'/README.md')){
	$tabs['theme_docs'] = array(
				'icon' => REDUX_URL.'assets/img/glyphicons/glyphicons_071_book.png',
				'title' => __('Documentation', 'redux-framework'),
				'content' => file_get_contents(dirname(__FILE__).'/README.md')
				);
	}//if 

    $tabs['item_info'] = array(
		'icon' => 'info-sign',
		'icon_class' => 'icon-large',
        'title' => __('Theme Information', 'redux-framework'),
        'content' => $item_info
    );
    
    if(file_exists(trailingslashit(dirname(__FILE__)) . 'README.html')) {
        $tabs['docs'] = array(
			'icon' => 'book',
			'icon_class' => 'icon-large',
            'title' => __('Documentation', 'redux-framework'),
            'content' => nl2br(file_get_contents(trailingslashit(dirname(__FILE__)) . 'README.html'))
        );
    }

    global $ReduxFramework;
    $ReduxFramework = new ReduxFramework($sections, $args, $tabs);

}
add_action('init', 'setup_framework_options', 0);


/*
	This is a test function that will let you see when the compiler hook occurs. 
	It only runs if a field	set with compiler=>true is changed.
*/
function testCompiler() {
	//echo "Compiler hook!";
}
add_action('redux-compiler-redux-sample-file', 'testCompiler');



/**
	Use this function to hide the activation notice telling users about a sample panel.
**/
function removeReduxAdminNotice() {
	delete_option('REDUX_FRAMEWORK_PLUGIN_ACTIVATED_NOTICES');
}
add_action('redux_framework_plugin_admin_notice', 'removeReduxAdminNotice');