<?php
#COMPARE MODULE
add_action('init', 'myStartSession', 1);
add_action('wp_logout', 'myEndSession');
add_action('wp_login', 'myEndSession');

function myStartSession() {
    if(!session_id()) {
        session_start();
    }
}

function myEndSession() {
    session_destroy ();
}

#Add item to compare
add_action( 'wp_ajax_add_to_compare', 'add_to_compare' );
add_action( 'wp_ajax_nopriv_add_to_compare', 'add_to_compare' );
function add_to_compare() {
	$post_id = $_POST['id'];
	
	if ( !isset($_SESSION['compare']) ) {
		$_SESSION['compare'] = array();
	}
	else {
		$_SESSION['compare'] = array_unique($_SESSION['compare']);
	}
	
	if ( count($_SESSION['compare'])<=4 ) {
		if ($post_id) {
			array_push($_SESSION['compare'],$post_id);
			$_SESSION['compare'] = array_unique($_SESSION['compare']);
			echo json_encode(['result'=>'success','message'=>'','items'=>$_SESSION['compare']]);
		}
		die();
	}
	else {
		echo json_encode(['result'=>'error','message'=>'You can only compare 4 items at a time','items'=>$_SESSION['compare']]);
		die();
	}	
}

#Remove item to compare
add_action( 'wp_ajax_remove_from_compare', 'remove_from_compare' );
add_action( 'wp_ajax_nopriv_remove_from_compare', 'remove_from_compare' );
function remove_from_compare() {
	$post_id = $_POST['id'];
	
	if ( count($_SESSION['compare'])>0 ) {
		foreach ($_SESSION['compare'] as $k=>$value) {
			if ($value==$post_id) {
				unset($_SESSION['compare'][$k]);
			}
		}
		echo json_encode(['result'=>'success','message'=>'success','items'=>$_SESSION['compare']]);
		die();
	}
	else {
		echo json_encode(['result'=>'error','message'=>'Nothing to remove','items'=>$_SESSION['compare']]);
		die();
	}	
}

#Remove item to compare
add_action( 'wp_ajax_get_compared_items', 'get_compared_items' );
add_action( 'wp_ajax_nopriv_get_compared_items', 'get_compared_items' );
function get_compared_items() {
	$items = array();
	//remove empty items
	
	if ( count($_SESSION['compare'])>0 ) {
		$_SESSION['compare'] = array_unique($_SESSION['compare']);
		foreach ($_SESSION['compare'] as $k=>$post_id) {
			if ($post_id) {
				$item = array();
				$item['id'] = $post_id;
				$item['certified'] = get_post_meta($post_id,'certified',true)=='false'?'No':'Yes';
				$item['sellingprice'] = '$'.number_format(get_post_meta($post_id,'internet_price',true),2);
				$item['year'] = get_post_meta($post_id,'year',true);
				$item['make'] = get_post_meta($post_id,'make',true);
				$item['model'] = get_post_meta($post_id,'model',true);
				$item['trim']= get_post_meta($post_id,'trim',true);
				$item['body'] = get_post_meta($post_id,'body_style',true);
				$item['mileage'] = get_post_meta($post_id,'mileage',true);
				$item['transmission'] = get_post_meta($post_id,'transmission',true);
				$item['drivetrain'] = get_post_meta($post_id,'drivetrain',true);
				$item['enginecylinders'] = get_post_meta($post_id,'engine',true);
				$item['enginedisplacement'] = get_post_meta($post_id,'doors',true);
				$item['interiorcolor'] = get_post_meta($post_id,'int_color',true);
				$item['exteriorcolor'] = get_post_meta($post_id,'ext_color',true);
				$item['stock'] = get_post_meta($post_id,'stock_no',true);
				$item['vin'] = get_post_meta($post_id,'vin_no',true);
				
				$image = get_post_meta($post_id,'photo_urls',true);
				$image = explode('|',$image);
				$item['image'] = isset($image[0])?$image[0]:'';
				
				$item['link'] = get_post_permalink($post_id);
				$item['name'] = get_the_title($post_id);
				
				array_push($items,$item);
			}
		}
		echo json_encode(['result'=>'success','message'=>'success','items'=>$items]);
		die();
	}
	else {
		echo json_encode(['result'=>'success','message'=>'success','items'=>array()]);
		die();
	}
}



function add_base_url() {
    ?>
	<script>
		var BASE_URL = '<?php echo site_url() ?>';
	</script><?php
}
add_action('wp_head', 'add_base_url');

#add script and require jquery
//function add_compare_script_and_css_files(){
   // wp_enqueue_script( 'compare', get_template_directory_uri(). '/assets/js/compare.js', 'jquery', '', true );
	//wp_enqueue_style( 'compare-style', get_template_directory_uri().'/assets/css/compare.css' );    
//}
//add_action('wp_enqueue_scripts', "add_compare_script_and_css_files");

#add modal to footer
function compare_modal() {
    ?>
	<a class="stick-right btn-show-compared-items hide" href="javascript:void(0)">Compare</a>
	<!-- Compare Modal -->
	<div id="compareModal" class="modal fade" role="dialog">
	  <div class="modal-dialog modal-lg">

		<div class="modal-content">
		  <div class="modal-body">
			
		  </div>
		</div>

	  </div>
	</div>
	<?php
}
add_action( 'wp_footer', 'compare_modal', 100 );

add_action( 'init', 'eprice_url' );

function eprice_url() {
    if( strpos( $_SERVER[ 'REQUEST_URI' ], '/eprice/' ) !== false ) {
        add_filter( 'the_posts', 'eprice_page' );
    }
}
function eprice_page() {
	$sid = $_GET['carid'];
wp_head();
if ($sid) {
$dealerid=get_post_meta($sid, 'dealerid', true);
$stock=get_post_meta($sid, 'stock_no', true);
$year=get_post_meta($sid, 'year', true);
$make=get_post_meta($sid, 'make', true);
$model=get_post_meta($sid, 'model', true);
$eprice = do_shortcode('[contact-form-7 id="164" title="Make Offer"]');
$eprice = str_replace('name="CarYear" value="1"', 'name="CarYear" value="'.$year.'"', $eprice);
$eprice = str_replace('name="CarMake" value="1"', 'name="CarMake" value="'.$make.'"', $eprice);
$eprice = str_replace('name="CarModel" value="1"', 'name="CarModel" value="'.$model.'"', $eprice);
$eprice = str_replace('name="DealerID" value="1"', 'name="DealerID" value="'.$dealerid.'"', $eprice);
$eprice = str_replace('name="StockID" value="1"', 'name="StockID" value="'.$stock.'"', $eprice);
echo $eprice;
}
wp_footer();
	die();
}

add_action( 'wp_ajax_get_eprice', 'get_eprice' );
add_action( 'wp_ajax_nopriv_get_eprice', 'get_eprice' );
function get_eprice() {
	$post_id = $_GET['id'];
	$title = get_the_title($post_id);
?>
<!DOCTYPE html>
<html >
<head>
<meta charset="UTF-8">
<style>
#popup{
  position:fixed;
  z-index:9;
  width:100%;
  top:10%;
  bottom:0;
  background:#000;
background: -moz-linear-gradient(top, rgba(0,0,0,0.58) 0%, rgba(0,0,0,0.55) 100%);
background: -webkit-linear-gradient(top, rgba(0,0,0,0.58) 0%,rgba(0,0,0,0.55) 100%);
background: linear-gradient(to bottom, rgba(0,0,0,0.58) 0%,rgba(0,0,0,0.55) 100%);
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#94000000', endColorstr='#8c000000',GradientType=0 );
}
.main {
  width:520px;
  display:block;
  margin:2% auto 0 auto;
  background:#000;
  padding:20px;
  max-width:100%;
}
.slick-slider {
    margin-bottom: 0px;
}
.thumbcustom {
    background: #fff url(<?php echo bloginfo('template_directory'); ?>/assets/img/loading-red.gif) center center no-repeat;
width: 150px;
    height: 110px;
    padding: 5px;
}
.slick-next:before, .slick-prev:before {
    font-size: 50px;
    color: #e00024;
}
.slick-next, .slick-prev {
    z-index:99;
    width: 70px;
    height: 70px;
}
.close-btn {position:relative;float:right;margin-right:-20px;margin-top:-20px;}
.imageslide{
  max-width:100%;
  padding: 0;
  margin: 0;
 background:#fff;
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
}
.imgload { max-width:100%;background: white url(<?php echo bloginfo('template_directory'); ?>/assets/img/plan-loading.gif) center center no-repeat;width:480px;height:320px;margin:0 auto;}
@media (max-width: 680px) {
	.imgload {
		height: 220px!important;
	}
}
@media (max-width: 480px) {
	.imgload {
		height: 177px!important;
	}
}

</style>
<style>
iframe {
  width: 100%;
  border: 0;
}
body {
	padding:0;
	margin:0;
}
html {padding:0!important;}
</style>
<script>
function calcHeight()
  {
  //find the height of the internal page
  var the_height = document.getElementById('iframe').contentWindow.
document.body.scrollHeight;

  //change the height of the iframe
  document.getElementById('iframe').height=
the_height;
    
 alert('This iframe should be ' + the_height + ' pixels in height to avoid scrolling.');
};
</script>

</head>
<body>
<div id="popup">
  <div class="main">
  <button type="button" class="btn btn-tertier close-btn"><i class="fa fa-close" aria-hidden="true"></i></button>
  <h2 class="nopaddingmargin fbold h218 text-center" style="color:#fff;"><?php echo $title;?></h2>
			<?php
				$post_id = $post_id;
				$sellingprice = '$'.number_format(get_post_meta($post_id,'internet_price',true),2);
				$mileage = get_post_meta($post_id,'mileage',true);
				$transmission = get_post_meta($post_id,'transmission',true);
				$drivetrain = get_post_meta($post_id,'drivetrain',true);
				$enginecylinders = get_post_meta($post_id,'engine',true);
				$enginedisplacement = get_post_meta($post_id,'doors',true);
				$interiorcolor = get_post_meta($post_id,'int_color',true);
				$exteriorcolor = get_post_meta($post_id,'ext_color',true);
				$stock = get_post_meta($post_id,'stock_no',true);
				$vin = get_post_meta($post_id,'vin_no',true);
				
				$image = get_post_meta($post_id,'photo_urls',true);
				$image = explode(',',$image);
				$image = isset($image[0])?$image[0]:'';
			?>
	<div class="row" style="color:#fff;padding-top:20px;margin-bottom:30px;">
		<div class="col-xs-6">
			<img src="<?php echo $image;?>" class="img-responsive"/>
		</div>
		<div class="col-xs-6">
VIN: <?php echo $vin;?><br>
Stock: <?php echo $stock;?><br>
Trans: <?php echo $transmission;?><br>
Ext. Color: <?php echo $exteriorcolor;?><br>
Mileage: <?php echo $mileage;?><br>
Internet Price: <?php echo $sellingprice;?>
		</div>
	</div>
  <div id="slidepopup">
	  <iframe src="<?php echo esc_url( home_url( '/' ) ); ?>eprice/?carid=<?php echo $post_id;?>" frameborder="0" scrolling="no" frameBorder="0" style="display:block; width:100%; min-height:420px;"></iframe>
  </div>
</div>
<script>
jQuery.noConflict();
(function( $ ) {
  $(function() {
	 $('.close-btn').click(function(e) {
	   e.preventDefault();
	   $('#popup').hide();
	 });
	 
	 $('#showformclick').click(function(e) {
	   e.preventDefault();
	   $('#popup').hide();
	 });
	 
  });
})(jQuery);

 </script>
</div>
</body>
</html>

<?php
die();
}
